import 'package:flutter/material.dart';
import 'package:hoshan/ui/widgets/sections/loading/default_placeholder.dart';

class ToolsPlaceholder extends StatelessWidget {
  const ToolsPlaceholder({super.key});

  @override
  Widget build(BuildContext context) {
    return GridView.builder(
      itemCount: 10,
      shrinkWrap: true,
      padding: const EdgeInsets.all(16),
      physics: const NeverScrollableScrollPhysics(),
      gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
        crossAxisCount: 2, // number of items in each row
        mainAxisSpacing: 16.0, // spacing between rows
        crossAxisSpacing: 16.0, // spacing between columns
      ),
      itemBuilder: (context, index) {
        return DefaultPlaceHolder(
          child: Container(
              decoration: BoxDecoration(
            color: Colors.white,
            borderRadius: BorderRadius.circular(16),
          )),
        );
      },
    );
  }
}
